Loading...
Searching...
No Matches
overwrite.c File Reference

GIS Library - Check for overwrite. More...

`#include <stdlib.h>`
`#include <string.h>`
`#include <grass/gis.h>`
Include dependency graph for overwrite.c:

Go to the source code of this file.

## Functions

int | G_check_overwrite (int argc, char **argv)
| Check for overwrite mode.

## Detailed Description

GIS Library - Check for overwrite.

(C) 2001-2008, 2010 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  GRASS Development Team, Martin Landa <landa.martin gmail.com>

Definition in file overwrite.c.

## Function Documentation

## G_check_overwrite()

int G_check_overwrite | ( | int | argc,
|  | char ** | argv )

Check for overwrite mode.

Check variables OVERWRITE, GRASS_OVERWRITE and '–o' flag.

The parser G_parser() checks if the map already exists in current mapset, we can switch out the check and do it in the module after the parser.

Parameters

  argc | number of arguments
  argv | array of arguments

Returns
  1 if overwrite
  0 if not overwrite

Definition at line 33 of file overwrite.c.

References G_getenv_nofatal(), and G_setenv_nogisrc().